DROP TABLE CRST_AR_BATCH_SOURCES_ALL;

CREATE TABLE CRST_AR_BATCH_SOURCES_ALL
(
  BATCH_SOURCE_ID                NUMBER(15)     NOT NULL,
  LAST_UPDATED_BY                NUMBER(15)     NOT NULL,
  LAST_UPDATE_DATE               DATE           NOT NULL,
  LAST_UPDATE_LOGIN              NUMBER(15),
  CREATION_DATE                  DATE,
  CREATED_BY                     NUMBER(15),
  NAME                           VARCHAR2(50 BYTE) NOT NULL,
  TYPE                           VARCHAR2(30 BYTE) NOT NULL,
  START_DATE_ACTIVE              DATE           NOT NULL,
  END_DATE_ACTIVE                DATE,
  DESCRIPTION                    VARCHAR2(240 BYTE),
  DEFAULT_REMIT_BANK_ACCOUNT_ID  NUMBER(15),
  AUTO_BATCH_NUMBERING           VARCHAR2(30 BYTE),
  LAST_BATCH_NUM                 NUMBER(15),
  ATTRIBUTE_CATEGORY             VARCHAR2(30 BYTE),
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  DEFAULT_RECEIPT_CLASS_ID       NUMBER(15),
  DEFAULT_RECEIPT_METHOD_ID      NUMBER(15),
  ORG_ID                         NUMBER(15),
  BATCH_SOURCE_ID_N              NUMBER(15),
  ORG_ID_N                       NUMBER(15)     
);
